SCEVTSTREAMS(1)

NAME
scevtstreams - SeisComP Documentation

Extract stream information and time windows from picks of an event or solitary picks.

DESCRIPTION

scevtstreams reads all picks of an event or solitary picks determining the time window between the first pick and the last pick. In addition symmetric asymmetric time margins are added to this time window. It writes the streams that are picked including the determined time window for the event to stdout. This tool gives appropriate input information for scart, fdsnws and capstool [30] for CAPS [3] server (Common Acquisition Protocol Server by gempa GmbH) to dump waveforms from archives based on event data.

Events with origins and picks can be read from database or XML file. Solitary picks can only be read from XML file. The XML files can be generated using scxmldump.

OUTPUT FORMAT

The generated list contains start and end time as well as stream information.

Generic:

starttime;endtime;stream

Example:

2019-07-17 02:00:00;2019-07-17 02:10:00;GR.CLL..BHZ

EXAMPLES

1.  Get the time windows for an event in the database:

    scevtstreams -E gfz2012abcd -d mysql://sysop:sysop@localhost/seiscomp

2.  Get the time windows for one specific event or all events in a XML file. The time windows start 120 s before the first pick and ends 500 s after the last pick:

    scevtstreams -i event.xml -E gfz2012abcd
    scevtstreams -i event.xml

3.  Get the time windows from all picks in a XML file which does not contain events or origins:

    scevtstreams -i picks.xml

4.  Combine with scart for creating a miniSEED data file from one event. The time window starts and ends 5 minutes before the first and after the last pick, respectively. The data is read from SDS archive and sorted by end time:

    scevtstreams -E gfz2012abcd -d mysql://sysop:sysop@localhost/seiscomp -m 300 |\
    scart -dsvE --list - ~/seiscomp/acquisition/archive > gfz2012abcd-sorted.mseed

5.  Download waveforms from FDSN and import into local archive. Include all stations from the contributing networks:

    scevtstreams -E gfz2012abcd -d mysql://sysop:sysop@localhost/seiscomp -m 300 -R --all-stations |\
    scart --list - -I fdsnws://geofon.gfz.de ./my-archive

6.  Create lists compatible with fdsnws POST format or capstool [30]:

    scevtstreams -E gfz2012abcd -i event.xml -m 120,500 --fdsnws
    scevtstreams -E gfz2012abcd -i event.xml -m 120,500 --caps

MODULE CONFIGURATION
etc/defaults/global.cfg
etc/defaults/scevtstreams.cfg
etc/global.cfg
etc/scevtstreams.cfg
~/.seiscomp/global.cfg
~/.seiscomp/scevtstreams.cfg

scevtstreams inherits global options.

COMMAND-LINE OPTIONS

scevtstreams [options]

  Generic

-h, --help
    Show help message.

-V, --version
    Show version information.

--config-file arg
    Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg
    Load given plugins.

-D, --daemon
    Run as daemon. This means the application will fork itself and doesn't need to be started with &.

--auto-shutdown arg
    Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg
    Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg
    Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

  Verbosity

--verbosity arg
    Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v
    Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet
    Quiet mode: no logging output.

--component arg
    Limit the logging to a certain component. This option can be given more than once.

-s, --syslog
    Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg
    Path to lock file.

--console arg
    Send log output to stdout.

--debug
    Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg
    Use alternative log file.

  Database

--db-driver-list
    List all supported database drivers.

-d, --database arg
    The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg
    The config module to use.

--inventory-db arg
    Load the inventory from the given database or file, format: [service://]location .

--db-disable
    Do not use the database at all

  Input

-i, --input arg
    Input XML file name. Reads event and picks from the XML file instead of database. Use '-' to read from stdin.

-f, --format arg
    Input format to use (xml [default], zxml (zipped xml), binary). Only relevant with -i.

  Dump

-E, --event arg
    The ID of the event to consider.

--net-sta arg
    Filter read picks by network code or network and station code. Format: NET or NET.STA .

--nslc arg
    Stream list file to be used for filtering read picks by stream code. '--net-sta' will be ignored. One line per stream. Line format: NET.STA.LOC.CHA.

  Output

-m, --margin arg
    Time margin around the picked time window, default is 300. Added before the first and after the last pick, respectively. Use 2 comma-separted values (before,after) for asymmetric margins. Example: 120,300.

-S, --streams arg
    Comma separated list of streams per station to add. Example: BH,SH,HH.

-C, --all-components arg
    Specify whether to use all components (1) or just the picked ones (0). Default: 1.

-L, --all-locations arg
    Specify whether to use all location codes (1) or just the picked ones (0). Default: 1.

--all-stations
    Dump all stations from the same network. If unused, just stations with picks are dumped.

--all-networks
    Dump all networks. If unused, just networks with picks are dumped. This option implies --all-stations, --all-locations, --all-streams, --all-components and will only provide the time window.

-R, --resolve-wildcards flag
    If all components are used, use inventory to resolve stream components instead of using '?' (important when Arclink should be used).

--caps
    Dump in capstool format (Common Acquisition Protocol Server by gempa GmbH).

--fdsnws flag
    Dump in FDSN dataselect webservice POST format.

AUTHOR
gempa GmbH, GFZ Potsdam

COPYRIGHT
gempa GmbH, GFZ Potsdam